¿Cómo obligo a OSX a usar IGMP versión 2?

Estoy conectado a un viejo interruptor inteligente NETGEAR que solo es compatible con IGMPv2. No enruta el tráfico de multidifusión a mi mac porque se une al grupo usando IGMPv3.

Intenté esto:

sysctl net.inet.igmp.default_version=2 

pero no funciona: OSX aún envía packages IGMPv3 (confirmados con wireshark).

¿Hay alguna forma de forzar IGMPv2?

Estoy usando Yosemite (10.10.2), en caso de que eso haga la diferencia.

Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).